=== debian/changelog ===
ros-indigo-libuvc-camera (0.0.7-0trusty) trusty; urgency=high

  * Removed dependency on the deprecated driver_base package.
  * Added more informative error messages in the case of uvc_open() failure

 -- Ken Tossell <ken@tossell.net>  Thu, 06 Mar 2014 05:00:00 -0000

ros-indigo-libuvc-camera (0.0.6-0trusty) trusty; urgency=high

  * Install libuvc_camera_nodelet.xml

 -- Ken Tossell <ken@tossell.net>  Thu, 19 Dec 2013 05:00:00 -0000

ros-indigo-libuvc-camera (0.0.5-0trusty) trusty; urgency=high

  * Fixed missing timestamp and frame_id in camera_info and image_raw
  * Install camera_node into the package's bin path, not ros-global bin.

 -- Ken Tossell <ken@tossell.net>  Fri, 04 Oct 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.4-0trusty) trusty; urgency=high

  * Added libuvc_ in libuvc_camera_nodelet

 -- Ken Tossell <ken@tossell.net>  Mon, 23 Sep 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.3-0trusty) trusty; urgency=high

  * add an explicit dependency on generated files in CMake
    This will make sure that the generated headers are build before they are compiled.

 -- Ken Tossell <ken@tossell.net>  Mon, 23 Sep 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.2-0trusty) trusty; urgency=high

  * libuvc_camera now uses the libuvc cmake config script
  * Fixed PACKAGE reference.
  * Removed roslib setup code from UVCCamera.cfg.

 -- Ken Tossell <ken@tossell.net>  Mon, 12 Aug 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.1-0trusty) trusty; urgency=high



 -- Ken Tossell <ken@tossell.net>  Thu, 01 Aug 2013 04:00:00 -0000

ros-indigo-libuvc-camera (0.0.0-0trusty) trusty; urgency=high

  * fixed dependencies and nodelet export
  * adding missing catkin files
  * catkin build
  * License blocks
  * added parameter for timestamping method
  * added video format param. set min=0 for unsigned int params
  * Added libuvc_camera nodelet
  * reset driver state after closing uvc context
  * forgot to uvc_exit(ctx) -- driver now closes on sigint
  * update manifests
  * use camera_info_manager for a real CameraInfo
  * initial use of auto-update controls
    The user can change AE mode, and the camera auto-updates
    absolute exposure time and white balance temperature, which
    are sent on to dynamic_reconfigure clients.
  * fix rgb_frame_ leak
  * beginning of driver with controls, dyn_reconf, caminfo
  * added parameters ~vendor, ~product, ~serial_num
    ~vendor and ~product should be 0xhexadecimal. ~serial_num
    can be any string.
  * added -luvc
  * sample ROS driver using libuvc

 -- Ken Tossell <ken@tossell.net>  Thu, 27 Jun 2013 04:00:00 -0000
