=== debian/control ===
Source: ros-indigo-libuvc-camera
Section: misc
Priority: extra
Maintainer: Ken Tossell <ken@tossell.net>
Build-Depends: debhelper (>= 7.0.50~), ros-indigo-camera-info-manager, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-libuvc, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-sensor-msgs
Homepage: http://ros.org/wiki/libuvc_camera
Standards-Version: 3.9.2

Package: ros-indigo-libuvc-camera
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-camera-info-manager, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-libuvc, ros-indigo-nodelet, ros-indigo-roscpp, ros-indigo-sensor-msgs
Description: USB Video Class camera driver
